local array2d = {}

function array2d.new(size_x, size_y, preexisting_table)
    local array_table = preexisting_table or {}
    array_table.size_x = size_x
    array_table.size_y = size_y

    for y = 1, size_y do
        local row = {}
        for x = 1, size_x do
            table.insert(row, 0)
        end
        table.insert(array_table, row)
    end

    return array_table
end

function array2d.get_value(array_table, x, y)
    return array_table[y][x]
end

return array2d