local font = require(PATH..'.font')

local gui = {
    box = require(PATH..'.gui.box'),
    event = require(PATH..'.gui.event'),
    layout = require(PATH..'.gui.layout'),
    text_input = require(PATH..'.gui.text_input'),
    widget = require(PATH..'.gui.widget'),
    button = require(PATH..'.gui.default.button'),
}

gui.new_box = gui.box.new_box
gui.new_event_handler = gui.event.new_event_handler

return gui