PATH = (...)
GK_PATH = PATH

local gamekit = {
    array = require(PATH..'.array'),
    enum = require(PATH..'.enum'),
    flag = require(PATH..'.flag'),
    viewport = require(PATH..'.viewport'),
    canvas = require(PATH..'.canvas'),
    check = require(PATH..'.check'),
    camera = require(PATH..'.camera'),
    color = require(PATH..'.color'),
    vector = require(PATH..'.vector'),
    collision_shapes = require(PATH..'.collision_shapes'),
    sound_factory = require(PATH..'.sound_factory'),
    animation = require(PATH..'.animation'),
    font = require(PATH..'.font'),
    input = require(PATH..'.input'),
    ruler = require(PATH..'.ruler'),
    rectangle = require(PATH..'.rectangle'),
    pool = require(PATH..'.pool'),
    spatial_hash = require(PATH..'.spatial_hash'),
    collider = require(PATH..'.collider'),
    oop = require(PATH..'.oop'),
    gui = require(PATH..'.gui'),
    schedule = require(PATH..'.schedule'),
    parse = require(PATH..'.parse'),
    async = require(PATH..'.async'),
}

setmetatable(gamekit, {
    __index = require(PATH..'.api')
})

PATH = nil
GK_PATH = nil

return gamekit