local widget = require(PATH..'.gui.widget')

local function handler_method(self, event_data)
    if event_data:is("resize") then
        local root = self.instance_data.widget

        root.box.width = event_data[1]
        root.box.height = event_data[2]
        root.box:layout()
    end
end

local function new()
    local root = widget.new()
    root.event_handler.handler_method = handler_method
    return root
end

return {
    new = new,
}