require "gui.box"
require "gui.layout"
require "gui.event"
require "gui.button"

local main_box
local event_tree=new_event_node()

function love.load()
main_box=new_box()
main_box.width, main_box.height=love.graphics.getDimensions()
main_box.width=main_box.width-20
main_box.height=main_box.height-10
main_box.global_transform:setTransformation(50,40)

local my_button=new_button()
append_box(my_button.box,main_box)
connect(my_button.event_node,event_tree)

for i=1, 8 do
local child_box=new_box()
child_box.width=100+(i==2 and 20 or 0)
child_box.height=100

append_box(child_box, main_box)
end
layout_grid(main_box, 3, 20, 20)
--adapt_to_content(main_box,20)
end

function love.mousemoved(x,y,dx,dy)
if love.mouse.isDown(1) then
add_scroll(main_box,dx,dy)
layout_grid(main_box,3,20,20)
end
end

function love.mousepressed(x,y)
process_event({pressed=true,x=x,y=y}, event_tree)
layout_grid(main_box,3,20,20)
end

function love.mousereleased(x,y)
process_event({pressed=false,x=x,y=y},event_tree)
layout_grid(main_box,3,20,20)
end

function love.draw()
draw_box(main_box)
end